tvbrowser.ui.mainframe.toolbar

## Class DefaultToolBarModel

- java.lang.Object
- - tvbrowser.ui.mainframe.toolbar.DefaultToolBarModel

- All Implemented Interfaces:
    DateListener, ToolBarModel

      public class DefaultToolBarModel
      extends java.lang.Object
      implements ToolBarModel, DateListener

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dateChanged(Date date, ProgressMonitor monitor, java.lang.Runnable callback)`
    `void` | `dateChanged(Date date, ProgressMonitor monitor, java.lang.Runnable callback, boolean informPluginPanels)`
    `javax.swing.Action[]` | `getActions()`
    `javax.swing.Action[]` | `getAvailableActions()`
    `javax.swing.Action` | `getGlueAction()`
    `static DefaultToolBarModel` | `getInstance()`
    `javax.swing.Action` | `getSeparatorAction()`
    `javax.swing.Action` | `getSpaceAction()`
    `protected javax.swing.Action` | `getUpdateAction()`
    `void` | `setButtonIds(java.lang.String[] ids)`
    `void` | `setFilterButtonSelected(boolean arg)`
    `(package private) void` | `showPopupMenu(javax.swing.Action item)`
    `protected void` | `showStopButton()`
    `protected void` | `showUpdateButton()`
    `void` | `store()`
    `protected void` | `updatePluginButtons()`
    `protected void` | `updateTimeButtons()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### setButtonIds

          public void setButtonIds(java.lang.String[] ids)

    - #### getInstance

          public static DefaultToolBarModel getInstance()

    - #### setFilterButtonSelected

          public void setFilterButtonSelected(boolean arg)

    - #### updatePluginButtons

          protected void updatePluginButtons()

    - #### updateTimeButtons

          protected void updateTimeButtons()

    - #### getSeparatorAction

          public javax.swing.Action getSeparatorAction()

    - #### getGlueAction

          public javax.swing.Action getGlueAction()

    - #### getSpaceAction

          public javax.swing.Action getSpaceAction()

    - #### getActions

          public javax.swing.Action[] getActions()

      Specified by:
        `getActions` in interface `ToolBarModel`

    - #### getAvailableActions

          public javax.swing.Action[] getAvailableActions()

      Specified by:
        `getAvailableActions` in interface `ToolBarModel`

    - #### store

          public void store()

    - #### getUpdateAction

          protected javax.swing.Action getUpdateAction()

    - #### showStopButton

          protected void showStopButton()

    - #### showUpdateButton

          protected void showUpdateButton()

    - #### showPopupMenu

          void showPopupMenu(javax.swing.Action item)

    - #### dateChanged

          public void dateChanged(Date date,
                         ProgressMonitor monitor,
                         java.lang.Runnable callback,
                         boolean informPluginPanels)

      Specified by:
        `dateChanged` in interface `DateListener`

    - #### dateChanged

          public void dateChanged(Date date,
                         ProgressMonitor monitor,
                         java.lang.Runnable callback)

      Specified by:
        `dateChanged` in interface `ToolBarModel`

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)